package com.kingdee.eas.custom.entryconfig;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractDataConfigEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractDataConfigEntryInfo()
    {
        this("id");
    }
    protected AbstractDataConfigEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.entryconfig.DataConfigInfo getParent()
    {
        return (com.kingdee.eas.custom.entryconfig.DataConfigInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.entryconfig.DataConfigInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:分录's 数据源名称property 
     */
    public String getEntryName()
    {
        return getString("entryName");
    }
    public void setEntryName(String item)
    {
        setString("entryName", item);
    }
    /**
     * Object:分录's 元数据property 
     */
    public String getEntryFull()
    {
        return getString("entryFull");
    }
    public void setEntryFull(String item)
    {
        setString("entryFull", item);
    }
    /**
     * Object:分录's 别名property 
     */
    public String getAlias()
    {
        return getString("alias");
    }
    public void setAlias(String item)
    {
        setString("alias", item);
    }
    /**
     * Object:分录's 关联字段property 
     */
    public String getRelationFeild()
    {
        return getString("relationFeild");
    }
    public void setRelationFeild(String item)
    {
        setString("relationFeild", item);
    }
    /**
     * Object:分录's 数据库表名property 
     */
    public String getTableName()
    {
        return getString("tableName");
    }
    public void setTableName(String item)
    {
        setString("tableName", item);
    }
    /**
     * Object:分录's 关联关系property 
     */
    public com.kingdee.eas.custom.entryconfig.enumlist.RelationshipEnum getRelationship()
    {
        return com.kingdee.eas.custom.entryconfig.enumlist.RelationshipEnum.getEnum(getString("relationship"));
    }
    public void setRelationship(com.kingdee.eas.custom.entryconfig.enumlist.RelationshipEnum item)
    {
		if (item != null) {
        setString("relationship", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("D14670A7");
    }
}